package interval;

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.Date;
import java.text.SimpleDateFormat;

public class TimeFilter implements Filter {
  private FilterConfig filterConfig;
  private String datetime_pattern;
  private String comp;

  public void init(FilterConfig filterConfig) {
    this.filterConfig = filterConfig;
    this.datetime_pattern = filterConfig.getInitParameter("datetime_pattern");
    this.comp = filterConfig.getInitParameter("company");
  }

  public void doFilter(ServletRequest request, ServletResponse response, FilterChain filterChain) {
    try {

      SimpleDateFormat sdf = new SimpleDateFormat(datetime_pattern);
      PrintWriter out = response.getWriter();
      out.println(sdf.format(new Date()));

      request.setAttribute("comp","<hr><em>"+ comp +"</em>");
      filterChain.doFilter(request, response);
    }
    catch(ServletException sx) {
      filterConfig.getServletContext().log(sx.getMessage());
    }
    catch(IOException iox) {
      filterConfig.getServletContext().log(iox.getMessage());
    }
  }

  public void destroy() {
  }
}